package android.support.v4.e;

import android.support.v4.e.c.c;

class c$b implements c {
    static final c$b KQ = new c$b();

    public final int b(CharSequence charSequence, int i) {
        int i2 = i + 0;
        int i3 = 2;
        for (int i4 = 0; i4 < i2 && i3 == 2; i4++) {
            i3 = c.aB(Character.getDirectionality(charSequence.charAt(i4)));
        }
        return i3;
    }

    private c$b() {
    }
}
